summaryrefslogtreecommitdiff
path: root/mipsrelease
diff options
context:
space:
mode:
authorNicolas Reynolds <fauno@kiwwwi.com.ar>2011-05-08 21:58:10 -0300
committerNicolas Reynolds <fauno@kiwwwi.com.ar>2011-05-08 21:58:10 -0300
commit0e929530a592dec84439a1c71ca57513517b8e94 (patch)
treef8942049e49b7e9a0a4655631229e02d160eaf9c /mipsrelease
parentd12f9a0ac7ce2ff20ce59e3603ce0783c473ffb6 (diff)
stdnull doesn't require quoting. first stab at aur client
Diffstat (limited to 'mipsrelease')
-rwxr-xr-xmipsrelease22
1 files changed, 4 insertions, 18 deletions
diff --git a/mipsrelease b/mipsrelease
index 07d27ec..97e12d2 100755
--- a/mipsrelease
+++ b/mipsrelease
@@ -2,25 +2,11 @@
# Temporary script for uploading mips64el packages to the server
source /etc/makepkg.conf
-source /etc/libretools.conf
-msg "Uploading packages"
-for pkg in $@; do
- msg2 "$pkg"
- scp $pkg ${PARABOLAHOST}:mips64el/stage3/ ||{
- error "Failed to upload ${pkg}"
- plain "Try running this command again:"
- echo
- plain "$0 $@"
- exit 1
- }
-done
+pushd ${PKGDEST} >/dev/null
-msg "Updating db"
-scp ${PARABOLAHOST}:mips64el/stage3/stage3.db.tar.gz ${SRCDEST}/ && \
-repo-add ${SRCDEST}/stage3.db.tar.gz $@ && \
-scp ${SRCDEST}/stage3.db.tar.gz ${PARABOLAHOST}:mips64el/stage3/ || {
- error "Could not update db"
-}
+repo-add stage3.db.tar.gz $@
+
+popd >/dev/null
exit $?